
package de.ivu.elect.business.person.boundary;

import javax.enterprise.context.RequestScoped;
import javax.inject.Inject;
import javax.inject.Named;

import org.apache.deltaspike.core.api.scope.ConversationGroup;

import de.ivu.elect.business.person.entity.PersonendatenDateiExport;

@RequestScoped
@Named(PersonendatenDateiExportConversationSelect.COMPONENT_NAME)
public class PersonendatenDateiExportConversationSelect implements java.io.Serializable {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "personendatenDateiExportConversationSelect";

  @Inject
  protected transient PersonendatenDateiExportExtendedDAO entityDAO;

  @Inject
  @ConversationGroup(PersonendatenDateiExportConversationStore.class)
  protected transient PersonendatenDateiExportConversationStore conversationStore;

  public PersonendatenDateiExportConversationSelect() {
    super();
  }

  public boolean isSelected() {
    return getEntityPK() != null;
  }

  public PersonendatenDateiExport getEntity() {
    return getEntityInternal();
  }

  private PersonendatenDateiExport getEntityInternal() {
    if (getEntityPK() == null) {
      return null;
    }

    return attach(getEntityPK());
  }

  public void setEntity(PersonendatenDateiExport entity) {
    setEntityAttached(attach(entity));
  }

  public void setEntity( de.ivu.elect.business.person.entity.PersonendatenDateiExportPK  pk) {
    setEntityAttached(attach(pk));
  }

  protected void setEntityAttached(PersonendatenDateiExport entity) {
    if(entity == null) {
      setEntityPK(null);
    } else {
      setEntityPK(entity.getPk());
    }
  }

  public
    de.ivu.elect.business.person.entity.PersonendatenDateiExportPK
   getEntityPK() {
    return conversationStore.getEntityPK();
  }

  public void setEntityPK(
    de.ivu.elect.business.person.entity.PersonendatenDateiExportPK
   entityPK) {
    conversationStore.setEntityPK(entityPK);
  }

  protected PersonendatenDateiExport attach(PersonendatenDateiExport entity) {
    if (entity == null){
      return null;
    }

    return attach(entity.getPk());
  }

  protected PersonendatenDateiExport attach( de.ivu.elect.business.person.entity.PersonendatenDateiExportPK  pk) {
    if (pk == null) {
      return null;
    }

    return entityDAO.findByPrimaryKey(pk);
  }

  public void clearEntity() {
    setEntityPK(null);

    conversationStore.close();
  }
}
